Summary: mail-checker for WindowMaker
Name: WMMail.app
Version: 0.64
Release: alt7
License: GPL
Group: Graphical desktop/Window Maker

Packager: Alexey Voinov <voins@altlinux.ru>

URL: http://www.eecg.toronto.edu/cgi-bin/cgiwrap/chanb/index.cgi?wmmail

Source0: http://www.eecg.utoronto.ca/~chanb/WMMail.app/%name-%version.tar.bz2
Source1: WMMail-default-config
Source2: WMMail.menu
Patch: WMMail-0.64-globals.patch.bz2

# Automatically added by buildreq on Fri Oct 04 2002
BuildRequires: XFree86-devel XFree86-libs libPropList-devel xpm-devel

%description
WMMail.app is a "mail-checker" like xbiff. It is modeled after asmail,
but has been adapted to work with Window Maker instead of AfterStep.

WMMail.app should be considered alpha software that contains a million
bugs. It should not cause a lot of harm to your system, but if it
does, fix it and send me a patch.

%prep
%setup -q
%patch -p1

%build
%configure --prefix=/usr/X11R6 --with-appspath=%_x11libdir/GNUstep/Apps/
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
install -D -pm644 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/X11/WindowMaker/WMMail
install -D -pm644 %SOURCE2 $RPM_BUILD_ROOT%_menudir/WMMail

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog INSTALL NEWS README doc/Help.txt
%_sysconfdir/X11/WindowMaker/*
%_x11libdir/GNUstep/Apps/WMMail.app/*
%_menudir/*

%changelog
* Fri Oct 04 2002 Stanislav Ievlev <inger@altlinux.ru> 0.64-alt7
- rebuild with gcc3

* Sat Jun  9 2001 Alexey Voinov <voins@voins.program.ru>
- menu rearranged

* Tue May  8 2001 Alexey Voinov <voins@voins.program.ru>
- XFree86-static-libs removed from automatic BuildReqs

* Fri May  4 2001 Alexey Voinov <voins@voins.program.ru>
- automatic buildreqs added

* Thu Apr 26 2001 Alexey Voinov <voins@voins.program.ru> 0.64-alt3
- conditional NoSource. Build nosrc.rpm with --define 'nosource 1'

* Mon Apr 23 2001 Alexey Voinov <voins@voins.program.ru>
- help.txt included

* Thu Apr 19 2001 Alexey Voinov <voins@voins.program.ru>
- ugly patch that let WMMail find defaults.
- initial build

